Package org.apache.catalina.manager.util

## Class BaseSessionComparator<T>

- java.lang.Object
- - org.apache.catalina.manager.util.BaseSessionComparator<T>

- Type Parameters:
    `T` - The type of the session content to be compared
  All Implemented Interfaces:
    `java.util.Comparator<Session>`

      @Deprecated
      public abstract class BaseSessionComparator<T>
      extends java.lang.Object
      implements java.util.Comparator<Session>

  Deprecated.
  Unused. Will be removed in Tomcat 10.1.x
  Comparator which permits to compare on a session's content.
  Author:
    Cédrik LIME

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BaseSessionComparator()` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `compare​(Session s1, Session s2)` | Deprecated.
    `abstract java.lang.Comparable<T>` | `getComparableObject​(Session session)` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- - ### Constructor Detail

    - #### BaseSessionComparator

          public BaseSessionComparator()

      Deprecated.

  - ### Method Detail

    - #### getComparableObject

          public abstract java.lang.Comparable<T> getComparableObject​(Session session)

      Deprecated.

    - #### compare

          public final int compare​(Session s1,
                                   Session s2)

      Deprecated.
      Specified by:
        `compare` in interface `java.util.Comparator<T>`